Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class MQObjectName

    java.lang.Object
      com.sun.messaging.jms.management.server.MQObjectName

    public class MQObjectName

extends java.lang.Object

Utility class for manipulating Message Queue MBean Object Names.

Field Summary
`static java.lang.String` `BROKER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the Broker Config MBean.
`static java.lang.String` `BROKER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the Broker Monitor MBean.
`static java.lang.String` `CLUSTER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the Cluster Config MBean.
`static java.lang.String` `CLUSTER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the Cluster Monitor MBean.
`static java.lang.String` `CONNECTION_MANAGER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the ConnectionManager Config MBean.
`static java.lang.String` `CONNECTION_MANAGER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the ConnectionManager Monitor MBean.
`static java.lang.String` `CONSUMER_MANAGER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the ConsumerManager Config MBean.
`static java.lang.String` `CONSUMER_MANAGER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the ConsumerManager Monitor MBean.
`static java.lang.String` `DESTINATION_MANAGER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the DestinationManager Config MBean.
`static java.lang.String` `DESTINATION_MANAGER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the DestinationManager Monitor MBean.
`static java.lang.String` `JVM_MONITOR_MBEAN_NAME` String representation of the ObjectName for the JVM Monitor MBean.
`static java.lang.String` `LOG_CONFIG_MBEAN_NAME` String representation of the ObjectName for the Log Config MBean.
`static java.lang.String` `LOG_MONITOR_MBEAN_NAME` String representation of the ObjectName for the Log Monitor MBean.
`static java.lang.String` `PRODUCER_MANAGER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the ProducerManager Config MBean.
`static java.lang.String` `PRODUCER_MANAGER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the ProducerManager Monitor MBean.
`static java.lang.String` `SERVICE_MANAGER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the ServiceManager Config MBean.
`static java.lang.String` `SERVICE_MANAGER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the ServiceManager Monitor MBean.
`static java.lang.String` `TRANSACTION_MANAGER_CONFIG_MBEAN_NAME` String representation of the ObjectName for the TransactionManager Config MBean.
`static java.lang.String` `TRANSACTION_MANAGER_MONITOR_MBEAN_NAME` String representation of the ObjectName for the TransactionManager Monitor MBean.

Method Summary
`static javax.management.ObjectName` `createConnectionConfig(java.lang.String id)` Creates ObjectName for specified connection configuration MBean.
`static javax.management.ObjectName` `createConnectionMonitor(java.lang.String id)` Creates ObjectName for specified connection monitoring MBean.
`static javax.management.ObjectName` `createDestinationConfig(java.lang.String destinationType, java.lang.String destinationName)` Creates ObjectName for destination configuration MBean.
`static javax.management.ObjectName` `createDestinationMonitor(java.lang.String destinationType, java.lang.String destinationName)` Creates ObjectName for specified destination monitor MBean.
`static javax.management.ObjectName` `createServiceConfig(java.lang.String serviceName)` Creates ObjectName for service configuration MBean.
`static javax.management.ObjectName` `createServiceMonitor(java.lang.String serviceName)` Creates ObjectName for service monitoring MBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BROKER_CONFIG_MBEAN_NAME

    public static final java.lang.String BROKER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the Broker Config MBean.

  See Also:
    Constant Field Values

### CONNECTION_MANAGER_CONFIG_MBEAN_NAME

    public static final java.lang.String CONNECTION_MANAGER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the ConnectionManager Config MBean.

  See Also:
    Constant Field Values

### CONSUMER_MANAGER_CONFIG_MBEAN_NAME

    public static final java.lang.String CONSUMER_MANAGER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the ConsumerManager Config MBean.

  See Also:
    Constant Field Values

### SERVICE_MANAGER_CONFIG_MBEAN_NAME

    public static final java.lang.String SERVICE_MANAGER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the ServiceManager Config MBean.

  See Also:
    Constant Field Values

### DESTINATION_MANAGER_CONFIG_MBEAN_NAME

    public static final java.lang.String DESTINATION_MANAGER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the DestinationManager Config MBean.

  See Also:
    Constant Field Values

### CLUSTER_CONFIG_MBEAN_NAME

    public static final java.lang.String CLUSTER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the Cluster Config MBean.

  See Also:
    Constant Field Values

### LOG_CONFIG_MBEAN_NAME

    public static final java.lang.String LOG_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the Log Config MBean.

  See Also:
    Constant Field Values

### PRODUCER_MANAGER_CONFIG_MBEAN_NAME

    public static final java.lang.String PRODUCER_MANAGER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the ProducerManager Config MBean.

  See Also:
    Constant Field Values

### TRANSACTION_MANAGER_CONFIG_MBEAN_NAME

    public static final java.lang.String TRANSACTION_MANAGER_CONFIG_MBEAN_NAME

  String representation of the ObjectName for the TransactionManager Config MBean.

  See Also:
    Constant Field Values

### BROKER_MONITOR_MBEAN_NAME

    public static final java.lang.String BROKER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the Broker Monitor MBean.

  See Also:
    Constant Field Values

### SERVICE_MANAGER_MONITOR_MBEAN_NAME

    public static final java.lang.String SERVICE_MANAGER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the ServiceManager Monitor MBean.

  See Also:
    Constant Field Values

### DESTINATION_MANAGER_MONITOR_MBEAN_NAME

    public static final java.lang.String DESTINATION_MANAGER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the DestinationManager Monitor MBean.

  See Also:
    Constant Field Values

### TRANSACTION_MANAGER_MONITOR_MBEAN_NAME

    public static final java.lang.String TRANSACTION_MANAGER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the TransactionManager Monitor MBean.

  See Also:
    Constant Field Values

### CONNECTION_MANAGER_MONITOR_MBEAN_NAME

    public static final java.lang.String CONNECTION_MANAGER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the ConnectionManager Monitor MBean.

  See Also:
    Constant Field Values

### CONSUMER_MANAGER_MONITOR_MBEAN_NAME

    public static final java.lang.String CONSUMER_MANAGER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the ConsumerManager Monitor MBean.

  See Also:
    Constant Field Values

### PRODUCER_MANAGER_MONITOR_MBEAN_NAME

    public static final java.lang.String PRODUCER_MANAGER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the ProducerManager Monitor MBean.

  See Also:
    Constant Field Values

### JVM_MONITOR_MBEAN_NAME

    public static final java.lang.String JVM_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the JVM Monitor MBean.

  See Also:
    Constant Field Values

### CLUSTER_MONITOR_MBEAN_NAME

    public static final java.lang.String CLUSTER_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the Cluster Monitor MBean.

  See Also:
    Constant Field Values

### LOG_MONITOR_MBEAN_NAME

    public static final java.lang.String LOG_MONITOR_MBEAN_NAME

  String representation of the ObjectName for the Log Monitor MBean.

  See Also:
    Constant Field Values

Method Detail

### createServiceConfig

    public static javax.management.ObjectName createServiceConfig(java.lang.String serviceName)
                                                           throws javax.management.MalformedObjectNameException,
                                                                  java.lang.NullPointerException

  Creates ObjectName for service configuration MBean.

  Parameters:
    `serviceName` - Name of service.
  Returns:
    ObjectName of Service MBean
  Throws:
    `javax.management.MalformedObjectNameException`
    `java.lang.NullPointerException`

### createServiceMonitor

    public static javax.management.ObjectName createServiceMonitor(java.lang.String serviceName)
                                                            throws javax.management.MalformedObjectNameException,
                                                                   java.lang.NullPointerException

  Creates ObjectName for service monitoring MBean.

  Parameters:
    `serviceName` - Name of service.
  Returns:
    ObjectName of Service MBean
  Throws:
    `javax.management.MalformedObjectNameException`
    `java.lang.NullPointerException`

### createDestinationConfig

    public static javax.management.ObjectName createDestinationConfig(java.lang.String destinationType,
                                                                      java.lang.String destinationName)
                                                               throws javax.management.MalformedObjectNameException,
                                                                      java.lang.NullPointerException

  Creates ObjectName for destination configuration MBean.

  Parameters:
    `destinationType` - Type of destination. One of DestinationType.TOPIC, DestinationType.QUEUE.
    `destinationName` - Name of destination.
  Returns:
    ObjectName of service MBean
  Throws:
    `javax.management.MalformedObjectNameException`
    `java.lang.NullPointerException`

### createDestinationMonitor

    public static javax.management.ObjectName createDestinationMonitor(java.lang.String destinationType,
                                                                       java.lang.String destinationName)
                                                                throws javax.management.MalformedObjectNameException,
                                                                       java.lang.NullPointerException

  Creates ObjectName for specified destination monitor MBean.

  Parameters:
    `destinationType` - Type of destination. One of DestinationType.TOPIC, DestinationType.QUEUE.
    `destinationName` - Name of destination.
  Returns:
    ObjectName of DestinationMonitor MBean
  Throws:
    `javax.management.MalformedObjectNameException`
    `java.lang.NullPointerException`

### createConnectionConfig

    public static javax.management.ObjectName createConnectionConfig(java.lang.String id)

  Creates ObjectName for specified connection configuration MBean.

  Parameters:
    `id` - Connection ID
  Returns:
    ObjectName of ConnectionConfig MBean

### createConnectionMonitor

    public static javax.management.ObjectName createConnectionMonitor(java.lang.String id)

  Creates ObjectName for specified connection monitoring MBean.

  Parameters:
    `id` - Connection ID
  Returns:
    ObjectName of ConnectionMonitor MBean

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.